Next: RS/6000 and PowerPC Options, Previous: PowerPC Options, Up: Submodel Options [Contents][Index]

#### 3.17.36 RL78 Options

`-msim`

  Links in additional target libraries to support operation within a simulator.

`-mmul=none`
`-mmul=g13`
`-mmul=rl78`

  Specifies the type of hardware multiplication support to be used. The default is ‘`none`’, which uses software multiplication functions. The ‘`g13`’ option is for the hardware multiply/divide peripheral only on the RL78/G13 targets. The ‘`rl78`’ option is for the standard hardware multiplication defined in the RL78 software manual.

`-m64bit-doubles`
`-m32bit-doubles`

  Make the `double` data type be 64 bits (`-m64bit-doubles`) or 32 bits (`-m32bit-doubles`) in size. The default is `-m32bit-doubles`.